

#include "BUILTIN.h"
extern OBJ _AQuadrupleMap_9(OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AQuadrupleMap_9; /* * */

extern OBJ _AQuadrupleMap_9(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* * */
{OBJ r;
 {OBJ x30=FLD1(x5,1);OBJ x31=FLD1(x5,2);OBJ x32=FLD1(x5,3);OBJ x33=FLD1(x5,4);
  if(EXPRD(x5,1)){
   {OBJ x34;OBJ x35;OBJ x36;OBJ x37;
    x34=(*(OBJ(*)(OBJ,OBJ))METHOD(x4,1))(x4,x33);
    x35=(*(OBJ(*)(OBJ,OBJ))METHOD(x3,1))(x3,x32);
    x36=(*(OBJ(*)(OBJ,OBJ))METHOD(x2,1))(x2,x31);
    x37=(*(OBJ(*)(OBJ,OBJ))METHOD(x1,1))(x1,x30);
    RSOME(x5,r);FLD1(r,1)=x37;FLD1(r,2)=x36;FLD1(r,3)=x35;FLD1(r,4)=x34;}
  }else{
   COPY(x30,1);COPY(x31,1);COPY(x32,1);COPY(x33,1);
   {OBJ x34;OBJ x35;OBJ x36;OBJ x37;
    x34=(*(OBJ(*)(OBJ,OBJ))METHOD(x4,1))(x4,x33);
    x35=(*(OBJ(*)(OBJ,OBJ))METHOD(x3,1))(x3,x32);
    x36=(*(OBJ(*)(OBJ,OBJ))METHOD(x2,1))(x2,x31);
    x37=(*(OBJ(*)(OBJ,OBJ))METHOD(x1,1))(x1,x30);
    FRPRD(x5,1);PRD1(4,r);FLD1(r,1)=x37;FLD1(r,2)=x36;FLD1(r,3)=x35;FLD1(r,4)=x34;}}}
 return r;}

static OBJ _mt_5_0_5(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5) 
{OBJ r;
 DCCLS(t,1);
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(t1,t2,t3,t4,t5);
 return r;}

init_AQuadrupleMap()
{
 static int visited=0; if(visited) return; visited=1;
 init_AQuadruple();
 CLS(5,_AQuadrupleMap_9,__AQuadrupleMap_9);
 MTH(5,0,5,_mt_5_0_5);LZYMTH(5,0,5,_mt_5_0_5);}

